gnome-initial-setup - includes plugin needing privacy-leaking service Pocket
Closed, ResolvedPublic

Description

Package gnome-initial-setup includes a plugin for the web service Pocket, which leaks private information.

mak added a comment.Apr 2 2018, 5:43 PM

While according to Mozilla the source code will be published, and according to news websites the code was in fact published on https://github.com/Pocket, I can't find the backend code anywhere at all.
So the service indeed is non-free at the moment.

mak closed this task as "Resolved".Apr 5 2018, 10:16 PM

This is resolved in gnome-initial-setup >= 3.28.0-2pureos3

jonas.smedegaard added a project: Restricted Project.Jan 28 2019, 3:40 PM

This is not a freedom issue (by our definition), since it does not involve installing non-free software locally.

Reuse to track the _privacy_ issue in promoting Pocket.

jonas.smedegaard changed the title from "gnome-initial-setup - includes plugin needing nonfree service Pocket" to "gnome-initial-setup - includes plugin needing privacy-leaking service Pocket".Jan 28 2019, 3:41 PM
jonas.smedegaard edited the task description. (Show Details)
jonas.smedegaard reopened this task as "Open".Wed, Aug 28, 3:29 PM

Unfortunately, Pocket is again included: Seems Firefox changed between 60 an 68 to embed Pocket in the core instead of providing it as a hidden system.

jonas.smedegaard closed this task as "Resolved".Wed, Aug 28, 3:31 PM

whoops, sorry: wrong package!

Add Comment